Ipelib

Signals | Public Member Functions | List of all members
ipe::PageSelector Class Reference
Ipe canvas

`#include <ipeselector_qt.h>`

Inherits QListWidget.

## Signals
void | selectionMade ()

## Public Member Functions
| PageSelector (QWidget *parent=nullptr)
void | fill (std::vector< QPixmap > &icons, std::vector< String > &labels)
int | selectedIndex () const

## Detailed Description

A Qt widget that displays a list of Ipe pages.

## Constructor & Destructor Documentation

## ◆ PageSelector()

PageSelector::PageSelector | ( | QWidget * | parent = nullptr | ) |

Construct the widget.

If page is negative, the last view of each page is shown. Otherwise, all views of this page are shown. itemWidth is the width of the page thumbnails (the height is computed automatically).

## Member Function Documentation

## ◆ fill()

void PageSelector::fill | ( | std::vector< QPixmap > & | icons,
|  | std::vector< String > & | labels )

## ◆ selectedIndex()

int ipe::PageSelector::selectedIndex | ( |  | ) | const
| inline

## ◆ selectionMade

void ipe::PageSelector::selectionMade | ( |  | ) |
| signal

The documentation for this class was generated from the following files:

- ipeselector_qt.h
- ipeselector_qt.cpp